# Better Starting Hands

## Requirements
BepInEx

## Installation
1. Install BepInEx
2. Download version 1.2.0 if using Kaycee's mod, and version 1.2.1 if not.
3. Drop BetterStartingHands.dll into Inscryption\BepInEx\plugins

    or just use a mod manager

## What does it do?
It fixes/improves the starting hand algorithm to give you a better starting hand.
Normally the game will have you draw 2 cards, and if none are 0 or 1 blood cost, then it will put a bones card or 1 blood cost card into your hand.
This bone card would often stay in your hand and be unable to be played for a long time.
Now it will only put a bone card in your hand if you can afford to play it in the first 2 turns.
If playing act 2 brittle cards such as skeletons are factored in.
If playing act 1/Kaycee's mod all that matters are Bone Lord boons, meaning you will only draw a bone card you can play turn 1.

## Changelog
#### 1.1.0 
Now checks if Bone Lord Boons will allow a bone card to be playable.
#### 1.2.0 
Fixed a NullPointerException in the Grimora fight in act 2 if your deck had specific arrangements of cards.
#### 1.2.1
No longer requires Kaycee's mod.
If you use this version with Kaycee's mod then it will not check bone lord boons for whether a card is playable properly.
Use version 1.2.0 instead if you use Kaycee's mod, this version is only for those who do not use it.

## Special Thanks
Special thanks to Noll Reed and mmica442 for inspiring and theory crafting the mod.